import { useEditor } from "@/modules/editor";
import { ICompKeys } from "@/modules/editor/typings";
import { Radio } from "ant-design-vue";
import { defineUI } from "queenjs";

export default defineUI({
  setup() {
    const editor = useEditor();

    return () => (
      <div class="h-full flex flex-col">
        <div class="p-16px border-bottom !border-2px">资源中心</div>
        <div class="my-16px flex-1 flex flex-col h-0">
          <Radio.Group  class="!mx-16px">
            <Radio.Button>模板</Radio.Button>
            <Radio.Button>组件</Radio.Button>
          </Radio.Group>
          <div class="p-16px space-y-10px flex-1 scrollbar ">
            {Object.entries(editor.config.compUI).map(([compKey, uiOpt], i) => {
              return (
                <div
                  class="text-center leading-50px bg-dark-50 rounded"
                  key={i}
                  onClick={() =>
                    editor.actions.addCompToDesign(compKey as ICompKeys)
                  }
                >
                  <img class="w-full rounded" src={uiOpt.options.thumbnail} alt="封面图" />
                  {/* {uiOpt.options.name} */}
                </div>
              );
            })}
          </div>
        </div>
      </div>
    );
  },
});
